<?php
/*
Plugin Name: Gentle Notices
Description: Gentle Notices adds an action link to the admin top bar to toggle the admin notices visibility, so they will not disturb you anymore, but you can look at them every time you want!
Author: Jose Mortellaro
Author URI: https://josemortellaro.com
Text Domain: eos-gn
Domain Path: /languages/
Version: 0.0.1
*/
/*  Copyright 2019 Jose Mortellaro (email: info at josemortellaro.com)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if( is_admin() ){
	add_action( 'admin_enqueue_scripts', 'eos_gn_scripts_style',10 ); //we enqueue the scripts for back-end
	add_action( 'wp_before_admin_bar_render', 'eos_gn_admin_bar_render' );
	add_filter( 'load_textdomain_mofile', 'eos_gn_load_translation_file',99,2 ); //loads plugin translation files
}
//Filter function to read plugin translation files
function eos_gn_load_translation_file( $mofile, $domain ) {
	if ( 'eos-gn' === $domain ) {
		$loc = function_exists( 'get_user_locale' ) ? get_user_locale() : get_locale();
		$mofile = untrailingslashit( dirname( __FILE__ ) ). '/languages/eos-gn-' . $loc . '.mo';
	}
	return $mofile;
}

//Add links/menus to the admin bar
function eos_gn_admin_bar_render() {
	global $wp_admin_bar;
	load_plugin_textdomain( 'eos-gn',FALSE,untrailingslashit( dirname( __FILE__ ) ). '/languages/' ); //It loads plugin translation files
	$wp_admin_bar->add_menu( array(
		'parent' => false,
		'id' => 'eos_gentle_notices',
		'title' => __( 'Notices','eos-gn' ),
		'href' => '#',
		'meta' => array( 'class' => 'eos-gn-notice-btn','title' => __( 'Show/Hide notices','eos-gn' ) )
	));	
}
//Enqueue scripts for back-end
function eos_gn_scripts_style() {
	wp_enqueue_script( 'eos-gn-backend',untrailingslashit( plugins_url( '', __FILE__ ) ).'/admin/js/eos-gn-backend.js', array( 'jquery' ), '' );
	wp_enqueue_style( 'eos-gn-backend',untrailingslashit( plugins_url( '', __FILE__ ) ).'/admin/css/eos-gn-style.css', array(), '0.0.1' );
}